Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface BoundedCollection

All Superinterfaces:
  java.util.Collection, java.lang.Iterable

All Known Implementing Classes:
  BoundedBuffer, BoundedFifoBuffer, BoundedFifoBuffer, CircularFifoBuffer, FixedSizeList, UnmodifiableBoundedCollection

    public interface BoundedCollection

extends java.util.Collection

Defines a collection that is bounded in size.

The size of the collection can vary, but it can never exceed a preset maximum number of elements. This interface allows the querying of details associated with the maximum number of elements.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Herve Quiroz, Stephen Colebourne
See Also:
  `CollectionUtils.isFull(java.util.Collection)`, `CollectionUtils.maxSize(java.util.Collection)`

Method Summary
`boolean` | `isFull()` Returns true if this collection is full and no new elements can be added.
`int` | `maxSize()` Gets the maximum size of the collection (the bound).

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### isFull

    boolean isFull()

  Returns true if this collection is full and no new elements can be added.

  Returns:
    `true` if the collection is full

### maxSize

    int maxSize()

  Gets the maximum size of the collection (the bound).

  Returns:
    the maximum number of elements the collection can hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.